package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
@TableName("menu_material_register_pic")
public class MenuMaterialRegisterPic {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("图片地址")
   private String imageUrl;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public MenuMaterialRegisterPic setId(final Long id) {
      this.id = id;
      return this;
   }

   public MenuMaterialRegisterPic setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public MenuMaterialRegisterPic setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
      return this;
   }

   public MenuMaterialRegisterPic setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public MenuMaterialRegisterPic setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public MenuMaterialRegisterPic setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public MenuMaterialRegisterPic setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
